GET
/scim/v2/Users/{userId}Get a SCIM user by ID
Retrieves a SCIM user by its identifier. Supply the user's userId to retrieve the corresponding user resource and its attributes.
userIdintegerrequired
The integer identifier of the user to retrieve.
200Returns the SCIM user resource, including its identifier, metadata, and user attributes.
idstringoptional
The unique identifier of the user.
metaobjectoptional
displayNamestringoptional
the display name of the user
emailsarray<object>optional
localestringoptional
Used to indicate the User's default location for purposes of localizing such items as currency, date time format, or numerical representations.
nameobjectoptional
photosarray<object>optional
The picture of the user. It is expected to have a single item in the context of Grist.
preferredLanguagestringoptional
Indicates the user's preferred written or spoken languages and is generally used for selecting a localized user interface.
schemasarray<string>optional
userNamestringoptional
The unique username.
401Returned when the request is unauthenticated.
403Returned when the request is unauthorized.
404Returned when the user is not found.
500Returned when an internal server error occurs.
Error handling
A 401 is returned when the request is unauthenticated. A 403 is returned when the request is unauthorized, and a 404 when the user is not found. The userId path parameter is an integer; a 500 indicates an internal server error.
